﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.IO;

/// <summary>
/// Summary description for ConfigData
/// </summary>
public static class ConfigData
{
    /// <summary>
    /// Gets the root gallery directory.
    /// </summary>
    /// <value>The root gallery directory.</value>
    public static string RootGalleryDirectory
    {
        get
        {
			string url = ConfigurationManager.AppSettings["Root_Gallery_Directory"];
			string directory = HttpContext.Current.Server.MapPath(url);
			return directory;
        }
    }

    /// <summary>
    /// Gets the root thumb directory.
    /// </summary>
    /// <value>The root thumb directory.</value>
    public static string RootThumbDirectory
    {
        get
        {
			string url = ConfigurationManager.AppSettings["Root_Thumb_Directory"];
			string directory = HttpContext.Current.Server.MapPath(url);
			return directory;
		}
    }
}
