﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="Photo Gallery" %>

<%@ Register TagPrefix="img" TagName="MyImageFrame" Src="~/ImageFrame.ascx" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<script type="text/javascript" src="script/jquery.js"></script>
	<script type="text/javascript" src="script/slider.js"></script>
	<script type="text/javascript" src="script/jquery.mousewheel.min.js"></script>
	<script type="text/javascript" src="script/default.js"></script>
	<!-- Silverlight announcement -->
	<div id="agAnnounce">
		<a href="DefaultAg.aspx" title="Silverlight Version">Try the enhanced version (requires Silverlight)...</a>
	</div>
	<!-- Thumbnails -->
	<div id="thumbnails">
		<div id="slidetop" title="scroll"></div>
		<div id="slidearea">
			<div id="slider" style="top:0px;">
				<div id="_divOuterThumbs">
					loading...
				</div>
			</div>
		</div>
		<div id="slidebot" title="scroll"></div>
	</div>
	<!-- Main image frame and controls -->
	<div class="center">
		<div class="control_container">
			<div id="_divPath">
				loading...
			</div>
			<div class="controls">
				<span id="_divUserType">Public</span>
				<a id="_aPlay" class="hover_button" href="javascript:void(0);" onclick="return Play();" title="play">
					<img src="Images/play.png" alt="play" />
				</a>
				<a id="_aStop" class="hover_button" href="javascript:void(0);" onclick="return Stop();" title="stop">
					<img src="Images/stop.png" alt="stop" style="width:32px; height:32px;" />
				</a>
				<a id="_aSave" class="hover_button" href="javascript:void(0);" title="save">
					<img src="Images/save.png" alt="save" />
				</a>
				<span id="_divNonAdminControls">
					<a class="hover_button" href="javascript:void(0);" onclick="return ShowLogin();" title="log in">
						<img src="Images/lock.png" alt="login" />
					</a>
				</span>
				<span id="_divAdminOnlyControls">
					&nbsp; <!--need this for ie8 to show...arg!-->
					<input id="_title" style="width:150px;" onblur="return SetTitle();" title="set title" />
					<input id="_tags" style="width:150px;" onblur="return SetTags();" title="set tags" />
					<a class="hover_button" href="javascript:void(0);" onclick="return RotateCW();" title="rotate clockwise">
						<img src="Images/cw.png" alt="public" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return RotateCCW();" title="rotate counter-clockwise">
						<img src="Images/ccw.png" alt="family" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return SetPrivacyPublic();" title="mark public">
						<img src="Images/public.png" alt="public" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return SetPrivacyFamily();" title="mark family">
						<img src="Images/family.png" alt="family" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return SetPrivacyPrivate();" title="mark private">
						<img src="Images/private.png" alt="private" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return ShowLog();" title="log out">
						<img src="Images/log.png" alt="show log" />
					</a>
					<a class="hover_button" href="javascript:void(0);" onclick="return DoLogout();" title="log out">
						<img src="Images/lock_x.png" alt="login out" />
					</a>
				</span>
			</div>
			<center>
				<div id="_divOuterImage" runat="server" class="outerImage">
					<div id="_divInnerImage">
						<img class="image" id="_image" src="Images/no_image.JPG" alt="" />
						<img id="_image2" src="" alt="hidden" style="display:none;" />
					</div>
				</div>
			</center>
			<div class="footer">
				<label id="_imageInfo"></label>
				<p>
					All content is © Copyright 2009, Bob Cravens
				</p>
			</div>
		</div>
	</div>
	<!-- This div is the login div -->
	<div id="boxes">
		<div id="dialog" class="window">
			<table width="400" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="80" style="color:White;">Username : </td>
					<td width="10"> </td>
					<td>
						<input id="userName" type="text" style="width:150px;" />
					</td>
				</tr>
				<tr>
					<td style="color:White;">Password : </td>
					<td width="10"> </td>
					<td>
						<input id="passWord" type="password" style="width:150px;" />
					</td>
				</tr>
				<tr>
					<td> </td>
					<td width="10"> </td>
					<td>
						<input type="button" title="Login" onclick="return DoLogin();" value="Login" />
						<a href="#" style="color:White;" onclick="return HideLogin();">close</a>
					</td>
				</tr>
			</table>
		</div>
		<div id="mask"></div>
	</div>
</asp:Content>

