﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Logs.aspx.cs" Inherits="Logs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Photo Gallery Log Data</title>
    <link href="log.css" rel="stylesheet" type="text/css" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="author" content="Bob Cravens" />
	<meta content="IE=EmulateIE7" http-equiv="X-UA-Compatible"/>
	<link type="image/png" href="Images/author_icon.png" rel="shortcut icon" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
		<object width="425" height="344">
			<param name="movie" value="http://www.youtube.com/v/acNBfvQrX3Y&hl=en&fs=1"></param>
			<param name="allowFullScreen" value="true"></param>
			<param name="allowscriptaccess" value="always"></param>
		</object>
    <div>
		<asp:ListView ID="lvLogs" runat="server">
			<LayoutTemplate>
				<table class="log">
					<thead>
						<tr>
							<th>Timestamp</th>
							<th>Severity</th>
							<th>Category</th>
							<th>Message</th>
							<th>Application</th>
						</tr>
					</thead>
					<tbody id="itemPlaceholder" runat="server"></tbody>
					<tfoot>
						<tr>
							<th style="text-align:right" colspan="5">
								Log Viewer
							</th>
						</tr>
					</tfoot>
				</table>
			</LayoutTemplate>
			<ItemTemplate>
				<tr>
					<td>
						<asp:Label ID="lblDate" runat="server" Text='<% #Eval("Date") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblSeverity" runat="server" Text='<% #Eval("Severity") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblCategory" runat="server" Text='<% #Eval("Category") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblMessage" runat="server" Text='<% #Eval("Message") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblApplication" runat="server" Text='<% #Eval("Application") %>'></asp:Label>
					</td>
				</tr>
			</ItemTemplate>
			<AlternatingItemTemplate>
				<tr class="odd">
					<td>
						<asp:Label ID="lblDate" runat="server" Text='<% #Eval("Date") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblSeverity" runat="server" Text='<% #Eval("Severity") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblCategory" runat="server" Text='<% #Eval("Category") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblMessage" runat="server" Text='<% #Eval("Message") %>'></asp:Label>
					</td>
					<td>
						<asp:Label ID="lblApplication" runat="server" Text='<% #Eval("Application") %>'></asp:Label>
					</td>
				</tr>
			</AlternatingItemTemplate>
		</asp:ListView>
    </div>
    </form>
</body>
</html>
